# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::Time Class Reference

Simple class to be used as a timer and to retrieve the current time and date. More...

`#include <Time.hpp>`

Inheritance diagram for vl::Time:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| Time ()
int | year () const
int | month () const
int | dayOfWeek () const
int | dayOfMonth () const
int | hour () const
int | minute () const
int | second () const
int | microsecond () const
void | start (int index=0)
void | stop (int index=0)
bool | isStarted (int index=0) const
Real | elapsed (int index=0) const

## Static Public Member Functions

static Real | currentTime ()
| Seconds passed from an arbitrary origin QueryPerformanceFrequency should be called only once in the application lifetime.
static void | sleep (unsigned int milliseconds)

## Protected Attributes

int | mYear
int | mMonth
int | mDayOfWeek
int | mDayOfMonth
int | mHour
int | mMinute
int | mSecond
int | mMicrosecond
Real | mStart [VL_MAX_TIMERS]

## Detailed Description

Simple class to be used as a timer and to retrieve the current time and date.

## Constructor & Destructor Documentation

Time::Time | ( |  | ) |

## Member Function Documentation

virtual const char* vl::Time::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

int vl::Time::year | ( |  | ) | const`[inline]`

int vl::Time::month | ( |  | ) | const`[inline]`

int vl::Time::dayOfWeek | ( |  | ) | const`[inline]`

int vl::Time::dayOfMonth | ( |  | ) | const`[inline]`

int vl::Time::hour | ( |  | ) | const`[inline]`

int vl::Time::minute | ( |  | ) | const`[inline]`

int vl::Time::second | ( |  | ) | const`[inline]`

int vl::Time::microsecond | ( |  | ) | const`[inline]`

Real Time::currentTime | ( |  | ) | `[static]`

Seconds passed from an arbitrary origin QueryPerformanceFrequency should be called only once in the application lifetime.

void Time::sleep | ( | unsigned int | milliseconds | ) | `[static]`

void vl::Time::start | ( | int | index = `0` | ) | `[inline]`

void vl::Time::stop | ( | int | index = `0` | ) | `[inline]`

bool vl::Time::isStarted | ( | int | index = `0` | ) | const`[inline]`

Real vl::Time::elapsed | ( | int | index = `0` | ) | const`[inline]`

## Member Data Documentation

int vl::Time::mYear`[protected]`

int vl::Time::mMonth`[protected]`

int vl::Time::mDayOfWeek`[protected]`

int vl::Time::mDayOfMonth`[protected]`

int vl::Time::mHour`[protected]`

int vl::Time::mMinute`[protected]`

int vl::Time::mSecond`[protected]`

int vl::Time::mMicrosecond`[protected]`

Real vl::Time::mStart[VL_MAX_TIMERS]`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Time.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Time.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:44 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.